Bug 995591 - ipxe: can't run shell from menu
ipxe: can't run shell from menu
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ipxe (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 15:19 EDT by Ruben Kerkhof
Modified: 2014-03-10 08:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-06 10:57:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2013-08-09 15:19:26 EDT
Description of problem:

When my guests boot from the network, I show them a menu, which is an ipxe script.
One of the menu options is an option to escape to the shell prompt:

#!ipxe

item shell Drop to iPXE shell
:shell
echo Type exit to get back to the menu
shell

This works fine with upstream ipxe, but it doesn't in Fedora.
Apparently disabling the 2 second banner timeout completely disables the shell.

I have been able to workaround this by modifying the patch:

diff -rup gpxe-1.0.1.orig/src/config/general.h gpxe-1.0.1.new/src/config/general.h
--- gpxe-1.0.1.orig/src/config/general.h        2010-06-29 20:31:33.000000000 +0100
+++ gpxe-1.0.1.new/src/config/general.h 2012-03-19 11:53:36.035138977 +0000
@@ -31,7 +31,7 @@ FILE_LICENCE ( GPL2_OR_LATER );
  * Timer configuration
  *
  */
-#define BANNER_TIMEOUT 20      /* Tenths of a second for which the shell
+#define BANNER_TIMEOUT 1       /* Tenths of a second for which the shell
                                   banner should appear */
 
 /*

Version-Release number of selected component (if applicable):

ipxe-bootimgs-20130517-3.gitc4bce43.fc20.noarch
Comment 1 Fedora End Of Life 2013-09-16 12:28:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Cole Robinson 2014-03-05 08:06:52 EST
I'm guessing this is another instance of bug 842932, which is fixed in ipxe-20140303-1.gitff1e7fc7.fc20. Ruben, can you confirm if that update fixes things for you?
Comment 3 Ruben Kerkhof 2014-03-06 06:14:32 EST
Hi Colin,

Thanks, I'll get back when I've checked that update.
I'll have to find a host to reproduce this on, so it can take a few days.
Comment 4 Cole Robinson 2014-03-06 10:57:05 EST
Thanks Ruben. Since I'm pretty sure this is fixed in the update, I'll just close as NEXTRELEASE. if/when you get a chance to confirm, please reopen if the issue persists.
Comment 5 Ruben Kerkhof 2014-03-10 08:12:01 EDT
I will, thanks!

Note You need to log in before you can comment on or make changes to this bug.